### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
VolatilityTermStructure Class Reference

Volatility term structure. More...

`#include <ql/termstructures/voltermstructure.hpp>`

Inheritance diagram for VolatilityTermStructure:
[legend]

List of all members.

## Public Member Functions

virtual BusinessDayConvention | businessDayConvention () const
| the business day convention used in tenor to date conversion
Date | optionDateFromTenor (const Period &) const
| period/date conversion
virtual Rate | minStrike () const =0
| the minimum strike for which the term structure can return vols
virtual Rate | maxStrike () const =0
| the maximum strike for which the term structure can return vols
Constructors
See the TermStructure documentation for issues regarding constructors.
| VolatilityTermStructure (const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| VolatilityTermStructure (BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| VolatilityTermStructure (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| VolatilityTermStructure (Natural settlementDays, const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date

## Protected Member Functions

void | checkStrike (Rate strike, bool extrapolate) const
| strike-range check

## Detailed Description

Volatility term structure.

This abstract class defines the interface of concrete volatility structures which will be derived from this one.

## Constructor & Destructor Documentation

VolatilityTermStructure | ( | const Calendar & | cal,
|  | BusinessDayConvention | bdc,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

VolatilityTermStructure | ( | BusinessDayConvention | bdc,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.